/*
 *  Header-File der hardwarenahen Funktionen fuer LegoBot
 *
 *	02.03.2010 BS abgespeckt und angepasst fr Roboter-AG
 *  28.08.2010 BS angepasst fr Servo-Antrieb
 *	25.09.2010 BS Funktionsnamen gendert, zweiten Hindernistaster hinzugefgt
 *
 */

// folgende Zeile auskommentieren, wenn nicht mit Servos gearbeitet wird
#define SERVO_ANTRIEB


#define SENSORS			2

#ifdef SERVO_ANTRIEB
#define TIMER_MS(x_ms)	((uchar) (x_ms / 2))	// leider nur ungefhr. Sollte 2.048 sein, der Fehler betrgt aber nur 2,4%
#else
#define TIMER_MS(x_ms)	((uchar) (x_ms / 8))
#endif

typedef unsigned int	uint;
typedef unsigned char	uchar;

extern volatile uchar 	timer1;
extern volatile uchar 	timer2;
extern volatile uchar 	timer3;
extern volatile uchar 	timer4;
extern volatile uchar 	timer5;


void warteMillisec(uint value);
void setzeMotorLinks(int value);			// 28.08.2010 BS: auch negative Werte erlaubt
void setzeMotorRechts(int value);			// ---- " ----
void setzeMotoren(int links, int rechts);	// ---- " ----
uchar HindernisLinks(void);
uchar HindernisRechts(void);
void setzeLED(uchar state);
void setzeTon(uint freq);
uchar SensorLinks(void);
uchar SensorRechts(void);
void initHardware(void);
void setzeServoLinks( uchar percent );
void setzeServoRechts( uchar percent );
uint AbstandCm( void );
void sendeZeichen( uchar ch );
void sendeText( char *ch );
void sendeDezimal( uint value );
